Subject: Re: Running executables built with GNUwin32 on other PCs
From: [email-masked] (Darren Starsmore)

2 Jul 1997 22:56:03 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (X11; I; SunOS 5.5.1 sun4m)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

Mikey wrote:
> 
> You need to include the parsers, bison.simple, and
> bison.harry, and maybe a few other things, do a make install,
> and see what needs to be installed where, then tar up the whole
> installation.
> 
> On Wed, 02 Jul 1997 09:11:07 +0200, you wrote:
> 
> >Hi all,
> >I've built bisonV1.18 from the standard GNU distribution using
> >the GNU Win32 cdk b18 release. The build was simple and the bison
> >executable works fine on the NT workstation where it was built.
> >The problem I have is running bison on other NT workstations where
> >cdk is not installed.
> >I've copied just the bison executable and the cygwin.dll to the
> >alternate workstations but when I run it I get an excpetion
> >"ACCESS VIOLATION".
> >I guess the installation mechanism I used is too simple ;-(
> >
> >Any suggestions ?

I've found the problem....
The target workstation didn't have a c:\tmp directory. This causes
mktemp() to return NULL which was passed on to fopen() without
checking causing a segmentation violation. I fixed the bison source
and loaded just bison, bison.simple and cygwin.dll onto the target
workstation and everything worked just fined.

Thanks for yours support.
Darren
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".